<template>
  <div>

    <Navbar/>
        <v-layout pl-4 id="1" wrap style="background-color:;height:100px">
         <h2><font SIZE=7> การอบรม </font></h2>
            <v-progress-linear color="black"/>
         </v-layout>
<v-item-group>
    <v-container>
      <v-row>
        <v-col
          v-for="(datas,index) in datastest"
          :key="index"
          cols="12"
          md="3"
        >
 <v-hover v-slot:default="{ hover }">
    <v-card
      class="mx-auto"
      color="grey lighten-3"
      max-width="250"
    >
    <v-img :src="test2+datas.path_pic" height="250px" ></v-img>

        <v-expand-transition>
          <div
            v-if="hover"
            class="d-flex transition-fast-in-fast-out black v-card--reveal display-2 white--text"
            style="height: 100%;"
          >
          <div style="font-size: 20px; height:100%; width:100%;">{{datas.detail}}</div>
          </div>
        </v-expand-transition>

      <v-card-text
        class="pt-1"
        style="position: relative;"
      >

        <div class="font-weight-light title mb-2"><h3>{{datas.title}}</h3></div>
        <!-- <div class="font-weight-light title mb-2"> -->
          <!-- {{index.detail}} -->
        <!-- </div> -->
          <v-btn  @click="detail(datas)" flat color="blue" class="font-weight-light title mb-3" dark >
           Click Here</v-btn>
        </v-card-text>
        </v-card>
        </v-hover>
        </v-col>
      </v-row>
    </v-container>
   </v-item-group>
  </div>
</template>

<script>
import Navbar from '@/components/yuth/navbar_page.vue'
export default {
  components: {
    Navbar
  },
  data () {
    return {
      datastest: [],
      test2: process.env.VUE_APP_API
    }
  },
  created () {
    this.getData()
  },
  methods: {
    async detail (val) {
      console.log(val)
      await this.$store.dispatch('get_train', val)
      console.log('id', this.$store.getters.train)
      this.$router.push('/trainvdo')
    },
    async getData () {
      console.log('object')
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/courses')
        console.log('aoy', response.data.data)
        this.datastest = response.data.data
        console.log(this.datastest)
      } catch (error) {
        console.log(error.message)
      }
    }
  }
}
</script>
<style scoped>
h2
 {color: rgb(82, 75, 75); text-shadow: gray 0.1em 0.1em 0.1em}
</style>
